Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 182773 - Add a shortcut to db:migrate:redo
Add a shortcut to db:migrate:redo
Status: RESOLVED FIXED
Product: ruby
Classification: Unclassified
Component: Rails
6.x
PC Linux
: P3 (vote)
: 7.0
Assigned To: Erno Mononen
issues@ruby
: NETFIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-25 13:14 UTC by ehartmann
Modified: 2010-10-15 02:58 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
patch (2.00 KB, patch)
2010-03-25 13:14 UTC, ehartmann
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ehartmann 2010-03-25 13:14:05 UTC
When developing rails and doing migrations, I often need to use the rake task db:migrate:redo, because I change a column before committing, or to test the rollback action (self.down method).

It's a little painful to open each time the Task dialog, so I added it to the migrate submenu.

Here is the patch.
Comment 1 ehartmann 2010-03-25 13:14:44 UTC
Created attachment 95799 [details]
patch
Comment 2 Erno Mononen 2010-04-06 12:57:56 UTC
Somehow didn't notice this before - thanks for the patch, I'll apply it soon.
Comment 3 Jiri Kovalsky 2010-10-14 08:19:54 UTC
Erno, do you think you could integrate this patch or you are no longer responsible for Ruby support? Thanks!
Comment 4 Erno Mononen 2010-10-14 11:28:03 UTC
Sorry Eric for forgetting this issue. I took a look at the patch, doesn't it actually break migrating to version 0?
Comment 5 ehartmann 2010-10-14 12:18:13 UTC
Hi Erno,

Don't be sorry, that's ok ! ;-)

Ok you're right, the patch should break migration to version 0 (I've forgotten this case).

The right test should be 
 if (version >= 0) {
Comment 6 Erno Mononen 2010-10-14 14:02:37 UTC
I changed the test and applied the patch + updated unit tests in fb14c4d94f9d (web-main) - thanks for the patch once again.
Comment 7 Quality Engineering 2010-10-15 02:58:19 UTC
Integrated into 'main-golden', will be available in build *201010150000* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/fb14c4d94f9d
User: Erno Mononen <emononen@netbeans.org>
Log: #182773 - Add a shortcut to db:migrate:redo
- applied patch by ehartmann + updated tests


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo